Loading...
Searching...
No Matches
casacore::ReservedFitsKeyword Class Reference
fits package (libcasa_fits) » FITS_module

reserved FITS keyword More...

`#include <fits.h>`

## Public Member Functions

const char * | aname () const
FITS::ReservedName | name () const
int | namesize () const
FITS::ValueType | type () const
Bool | isindexed () const
Bool | isessential () const

## Public Attributes

FITS::ReservedName | name_
const char * | aname_
int | namesize_
FITS::ValueType | type_
Bool | isindexed_
Bool | isessential_

## Detailed Description

reserved FITS keyword

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

Definition at line 387 of file fits.h.

## Member Function Documentation

## aname()

const char * casacore::ReservedFitsKeyword::aname | ( |  | ) | const

inline

Definition at line 410 of file fits.h.

References aname_.

Referenced by casacore::FitsKeyword::name().

## isessential()

Bool casacore::ReservedFitsKeyword::isessential | ( |  | ) | const

inline

Definition at line 414 of file fits.h.

References isessential_.

## isindexed()

Bool casacore::ReservedFitsKeyword::isindexed | ( |  | ) | const

inline

Definition at line 413 of file fits.h.

References isindexed_.

## name()

FITS::ReservedName casacore::ReservedFitsKeyword::name | ( |  | ) | const

## namesize()

int casacore::ReservedFitsKeyword::namesize | ( |  | ) | const

inline

Definition at line 411 of file fits.h.

References namesize_.

## type()

FITS::ValueType casacore::ReservedFitsKeyword::type | ( |  | ) | const

inline

Definition at line 412 of file fits.h.

References type_.

## Member Data Documentation

## aname_

const char* casacore::ReservedFitsKeyword::aname_

Definition at line 403 of file fits.h.

Referenced by aname().

## isessential_

Bool casacore::ReservedFitsKeyword::isessential_

Definition at line 407 of file fits.h.

Referenced by isessential().

## isindexed_

Bool casacore::ReservedFitsKeyword::isindexed_

Definition at line 406 of file fits.h.

Referenced by isindexed().

## name_

FITS::ReservedName casacore::ReservedFitsKeyword::name_

Definition at line 402 of file fits.h.

## namesize_

int casacore::ReservedFitsKeyword::namesize_

Definition at line 404 of file fits.h.

Referenced by namesize().

## type_

FITS::ValueType casacore::ReservedFitsKeyword::type_

Definition at line 405 of file fits.h.

Referenced by type().

The documentation for this class was generated from the following file:

- fits/FITS/fits.h